Ana içeriğe geç

Parse JWK from Clipboard

Endpoint​

POST /apiops/projects/{projectName}/jwks/parse-from-clipboard

Authentication​

Requires a Personal API Access Token.

Authorization: Bearer YOUR_TOKEN

Request​

Headers​

HeaderValueRequired
AuthorizationBearer {token}Yes
Content-Typeapplication/jsonYes

Path Parameters​

ParameterTypeRequiredDescription
projectNamestringYesProject name

Request Body​

{
"name": "my-jwk",
"description": "JWK from JSON string",
"jwkStr": "{\"kty\":\"RSA\",\"n\":\"...\",\"e\":\"AQAB\"}",
"kid": "key-id-1"
}

Note: If jwkStr contains a JWK Set (array of keys), use kid to specify which key to use from the array.

Request Body Fields​

FieldTypeRequiredDescription
namestringYesJWK name (unique identifier)
descriptionstringNoJWK description
jwkStrstringYesJWK JSON string
kidstringConditionalKey ID (kid) - Required when jwkStr contains a JWK Set (array of keys) to specify which key to use

Response​

Same as Create JWK response format.

cURL Example​

curl -X POST \
"https://demo.apinizer.com/apiops/projects/MyProject/jwks/parse-from-clipboard" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "my-jwk",
"description": "JWK from clipboard",
"jwkStr": "{\"kty\":\"RSA\",\"n\":\"...\",\"e\":\"AQAB\"}"
}'

Permissions​

User must have SECRETS + MANAGE permission in the project. For deployment operations (when deploying JWKs to environments), user must also have SECRETS + DEPLOY_UNDEPLOY permission.